Subject: bug#61190: 28.2; ispell personal dictionary location for hunspell engine

From: O G <[email-masked]>
Date: Sat, 11 Feb 2023 13:16:21 -0500

On Sat, Feb 11, 2023 at 12:14 PM Eli Zaretskii <[email-masked]> wrote:

> > From: O G <[email-masked]>
> > Date: Sat, 11 Feb 2023 12:07:36 -0500
> > Cc: [email-masked]
> >
> >  >  emacs -Q
> >  >  M-: (setq ispell-program-name "hunspell") RET
> >  >  M-: (setq ispell-personal-dictionary
> "C:/Users/xxxx/.hunspell_en_US") RET
> >
> >  > Now go to some word in *scratch* and type M-$.
> >
> >  > Then look with Process Explorer how Emacs invoked Hunspell.
> >
> >  >When I do the above, I clearly see the "-p PDICT" command-line
> >  >arguments with which Emacs invokes Hunspell.  I made a point of
> >  >testing this on Windows with Emacs 28.2, which is what you have, and
> >  >it worked for me.
> >
> > Thanks for the detailed suggestions -- it now works.
>
> So I guess we can close this bug now?
>

Yes, with the caveat that it would be nice to document this somewhere.  I
opened
up a bug report on the hunspell github repository about this issue and did
not
receive a response, so I'll respond to my own issue with this latest
information.

> > From what I can tell, the issue was the double backslashes not being
> accepted
> > in the file path for the hunspell personal dictionary.
>
> It should works either way.  Maybe you didn't double every backslash?
>

Just double-checked my setup and indeed the problem reappears when I
substitute
double backslashes for all of the forward slashes.  Also tried using the
cygwin-style "/c/..."
convention since everything is running (emacs + hunspell) inside an
uptodate installation
of msys2 using the mingw64 repository, and that does not work either.  Only
the
"C:/Users/..." path is accepted apparently.

Elsewhere within my init.el file the double backslash inside elisp strings
works just
fine for Windows file paths.